%{?nodejs_find_provides_and_requires}

%global packagename gulp

# Tests disable due to failing tests on vfs.watch()
%global enable_tests 0

Name:		nodejs-gulp
Version:	3.9.1
Release:	3%{?dist}
Summary:	The streaming build system

License:	MIT
URL:		https://github.com/gulpjs/gulp.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(deprecated)
BuildRequires:	npm(orchestrator)
BuildRequires:	npm(gulp-util)
BuildRequires:	npm(vinyl-fs)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(q)
%endif

%description
The streaming build system


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# setup the docs
%setup -q -T -D -a 2 -n package

%nodejs_fixdep semver


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%elif
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Jul 27 2016 Jared Smith <jsmith@fedoraproject.org> - 3.9.1-3
- Fix dependency on version of npm(semver)

* Sat Jul 23 2016 Jared Smith <jsmith@fedoraproject.org> - 3.9.1-2
- Disable tests due to failing tests in vfs.watch()

* Fri Apr 22 2016 Jared Smith <jsmith@fedoraproject.org> - 3.9.1-1
- Update to upstrem 3.9.1 release

* Wed Jan 20 2016 Jared Smith <jsmith@fedoraproject.org> - 3.9.0-1
- Initial packaging
